// -*- conf-javaprop -*-
// EOLE configuration for apt tools

// Clear list option as we do not append items
#clear DPkg::Options;
#clear DPkg::Pre-Install-Pkgs;

// Do not display perentage progress
quiet "1";

// Always purge on remove
APT::Get {
    Purge "true";
    Assume-Yes "true";
    Allow-Downgrades "true";
}

Acquire::http {
    // Effacement du cache
    No-Cache "True";

    // Correctif concernant l'utilisation d'un proxy
    Pipeline-Depth "0";
}

DPkg {
    // Keep old configuration file
    Options {"--force-confold"; "--force-confmiss";};
    // Pre-configure all packages with debconf before they are installed.
    // Use in non-interactive mode
    Pre-Install-Pkgs {"/usr/sbin/dpkg-preconfigure --apt --priority=critical --frontend=noninteractive || true";};

    // Reload full configuration (XML + values, if possible)
    Post-Invoke {"[ -f /usr/bin/CreoleGet ] && systemctl is-active creoled.service > /dev/null && CreoleGet --reload || true";};

    // Make GenConfig working right after upgrade
    Post-Invoke {"systemctl is-active eoleflask.service > /dev/null && systemctl restart eoleflask.service || true";};
}

#désactivation des "phases" #36153
Update-Manager::Always-Include-Phased-Updates true;
APT::Get::Always-Include-Phased-Updates true;
